# <pathelement>

Represents a nested path element.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
dir | directory | The name of a directory to add to the path. Will be replaced with the absolute path of the directory. | False
file | file | The name of a file to add to the path. Will be replaced with the absolute path of the file. | False
if | bool | If true then the entry will be added to the path; otherwise, skipped. The default is true. | False
path | <path> | A string that will be treated as a path-like string. You can use `:` or `;` as path separators and NAnt will convert it to the platform's local conventions, while resolving references to environment variables. | False
unless | bool | Opposite of `if`. If false then the entry will be added to the path; otherwise, skipped. The default is false. | False

### Requirements

Assembly: NAnt.Core (0.90.3780.0)